Subject: 31.0.50; [FR] explicit minor mode precedence

From: Eshel Yaron <[email-masked]>
Date: Sat, 23 Nov 2024 14:49:23 +0100

Hi,

I'm creating this feature request to track an idea that Stefan brought
up in bug#74404:

> BTW, maybe we should add some notion of minor mode precedence since such
> problems are actually fairly common.  We could do something similar to
> what we do with `add-hook`, so `add-minor-mode` takes care of obeying
> the ordering constraints.

Currently, the last minor mode to be defined takes precedence over
previously defined minor modes, at least in terms of keybindings.  This
makes it hard-to-impossible for minor modes that need high precedence to
"guard" their keybindings from minor modes defined at any later time.
An explicit mechanism for specifying minor mode precedence could help.

Best,

Eshel